Data Protection Health System Vsan Get Dp Cluster Silent Checks

Data Protection Health System Vsan Get Dp Cluster Silent Checks
Get the user configured silent data protection health check list of the cluster.

Get the user configured silent data protection health check list of the cluster.

This API is only supported on the cluster with data protection enabled.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/DataProtectionHealthSystem/{moId}/VsanGetDpClusterSilentChecks
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case DataProtectionHealthSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanGetDpClusterSilentChecksRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
cluster
Required

The target cluster which has data protection enabled

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
200

The list of all silent health checks testIds

[
    {}
]
array of string
Optional

500

NotSupported: If run directly on an ESX Server host.

NotFound: If the cluster is not found.

VsanFault: If any runtime error is hit.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/DataProtectionHealthSystem/{moId}/VsanGetDpClusterSilentChecks